Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.sdk
Class RemoteAccessSessionStatus

    java.lang.Object
      com.axeda.esrs.sdk.RemoteAccessSessionStatus

    public class RemoteAccessSessionStatus

extends java.lang.Object

Created by IntelliJ IDEA. User: kholbrook Date: Jun 3, 2009 Time: 10:04:42 AM To change this template use File | Settings | File Templates.

Field Summary
`static RemoteAccessSessionStatus` | `COULD_NOT_CREATE_MERGE_SESSION`
`static RemoteAccessSessionStatus` | `DENIED`
`static RemoteAccessSessionStatus` | `ERROR`
`static RemoteAccessSessionStatus` | `GENERIC_ERROR`
`static RemoteAccessSessionStatus` | `INVALID_SESSION`
`static RemoteAccessSessionStatus` | `PRIMARY_SESSION_STOPPED`
`static RemoteAccessSessionStatus` | `READY`
`static RemoteAccessSessionStatus` | `REMOTE_BRIDGE_NOT_AVAILABLE`
`static RemoteAccessSessionStatus` | `REMOTE_DEVICE_INVALID`
`static RemoteAccessSessionStatus` | `REMOTE_INTERFACE_INVALID`
`static RemoteAccessSessionStatus` | `REMOTE_SERVER_NOT_AVAILABLE`
`static RemoteAccessSessionStatus` | `SESSION_ID_NOT_PRIMARY`
`static RemoteAccessSessionStatus` | `SESSION_TIMEOUT_PRIOR_TO_START`
`static RemoteAccessSessionStatus` | `STOP_PENDING`
`static RemoteAccessSessionStatus` | `STOPPED`
`static java.util.List` | `VALUES`
`static RemoteAccessSessionStatus` | `WAITING_FOR_AUTHORIZATION`
`static RemoteAccessSessionStatus` | `WAITING_FOR_DEVICE`

Method Summary
`static RemoteAccessSessionStatus` | `findByOrdinal(int ordinal)`
`static java.util.Collection` | `getAllOrdinals()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIpAddress()`
`java.lang.String` | `getName()` Get the Name value.
`int` | `getOrdinal()` Get the Ordinal value.
`java.lang.String` | `getSessionId()`
`int` | `getStatus()`
`java.lang.String` | `getUrl()`
`void` | `setDescription(java.lang.String description)`
`void` | `setIpAddress(java.lang.String ipAddress)`
`void` | `setSessionId(java.lang.String sessionId)`
`void` | `setStatus(int status)`
`void` | `setUrl(java.lang.String url)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WAITING_FOR_DEVICE

    public static RemoteAccessSessionStatus WAITING_FOR_DEVICE

### WAITING_FOR_AUTHORIZATION

    public static RemoteAccessSessionStatus WAITING_FOR_AUTHORIZATION

### ERROR

    public static RemoteAccessSessionStatus ERROR

### DENIED

    public static RemoteAccessSessionStatus DENIED

### READY

    public static RemoteAccessSessionStatus READY

### STOPPED

    public static RemoteAccessSessionStatus STOPPED

### STOP_PENDING

    public static RemoteAccessSessionStatus STOP_PENDING

### INVALID_SESSION

    public static RemoteAccessSessionStatus INVALID_SESSION

### REMOTE_SERVER_NOT_AVAILABLE

    public static RemoteAccessSessionStatus REMOTE_SERVER_NOT_AVAILABLE

### REMOTE_BRIDGE_NOT_AVAILABLE

    public static RemoteAccessSessionStatus REMOTE_BRIDGE_NOT_AVAILABLE

### REMOTE_DEVICE_INVALID

    public static RemoteAccessSessionStatus REMOTE_DEVICE_INVALID

### REMOTE_INTERFACE_INVALID

    public static RemoteAccessSessionStatus REMOTE_INTERFACE_INVALID

### GENERIC_ERROR

    public static RemoteAccessSessionStatus GENERIC_ERROR

### COULD_NOT_CREATE_MERGE_SESSION

    public static RemoteAccessSessionStatus COULD_NOT_CREATE_MERGE_SESSION

### PRIMARY_SESSION_STOPPED

    public static RemoteAccessSessionStatus PRIMARY_SESSION_STOPPED

### SESSION_ID_NOT_PRIMARY

    public static RemoteAccessSessionStatus SESSION_ID_NOT_PRIMARY

### SESSION_TIMEOUT_PRIOR_TO_START

    public static RemoteAccessSessionStatus SESSION_TIMEOUT_PRIOR_TO_START

### VALUES

    public static final java.util.List VALUES

Method Detail

### getName

    public java.lang.String getName()

  Get the Name value.

  Returns:
    the Name value.

### getOrdinal

    public int getOrdinal()

  Get the Ordinal value.

  Returns:
    the Ordinal value.

### getAllOrdinals

    public static java.util.Collection getAllOrdinals()

### findByOrdinal

    public static RemoteAccessSessionStatus findByOrdinal(int ordinal)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getIpAddress

    public java.lang.String getIpAddress()

### setIpAddress

    public void setIpAddress(java.lang.String ipAddress)

### getSessionId

    public java.lang.String getSessionId()

### setSessionId

    public void setSessionId(java.lang.String sessionId)

### getStatus

    public int getStatus()

### setStatus

    public void setStatus(int status)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD